Bug 1500704 - gfapi: API needed to set lk_owner
Summary: gfapi: API needed to set lk_owner
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: libgfapi
Version: rhgs-3.3
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Soumya Koduri
QA Contact: Manisha Saini
URL:
Whiteboard:
Depends On: 1499641 1501955 1501956
Blocks: 1480138 1503134 1526378
TreeView+ depends on / blocked
 
Reported: 2017-10-11 11:08 UTC by Jiffin
Modified: 2018-09-20 06:38 UTC (History)
9 users (show)

Fixed In Version: glusterfs-3.12.2-2, nfs-ganesha-2.5.5-6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1499641
Environment:
Last Closed: 2018-09-04 06:36:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:38:34 UTC

Description Jiffin 2017-10-11 11:08:46 UTC
+++ This bug was initially created as a clone of Bug #1499641 +++

Description of problem:

Glusterfs server differentiates locks based on both client-id and lock owner. There is no provision to set lk_owner as of now via gfapi. Hence a new API is needed to set the same. Since the lk_owner is associated with a particular glfd (until we get mandatory lk support), the API definition looks like below -

"glfd_set_lk_owner()"


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Soumya Koduri on 2017-10-09 03:34:27 EDT ---

https://review.gluster.org/#/c/18429

--- Additional comment from Worker Ant on 2017-10-09 06:06:12 EDT ---

REVIEW: https://review.gluster.org/18429 (gfapi: set lkowner in glfd) posted (#3) for review on master by soumya k (skoduri@redhat.com)

--- Additional comment from Worker Ant on 2017-10-10 07:57:54 EDT ---

REVIEW: https://review.gluster.org/18429 (gfapi: set lkowner in glfd) posted (#4) for review on master by soumya k (skoduri@redhat.com)

Comment 2 Jiffin 2017-10-11 11:10:15 UTC
Patch posted upstream for review https://review.gluster.org/18429

Comment 12 Kaleb KEITHLEY 2018-05-04 14:08:57 UTC
additional fix in nfs-ganesha-2.5.5-6

Comment 15 errata-xmlrpc 2018-09-04 06:36:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.